GET /genome/bioproject/{bioprojects}/dataset_report

nih.gov:ncbi-datasets-api

Summary: Get genome assembly reports by BioProject accession
Operation ID: genome_dataset_reports_by_bioproject
Auth: unknown
Description

Get genome assembly reports by BioProject accession. By default, in paged JSON format, but also available in tabular (accept: text/tab-separated-values) or JSON Lines (accept: application/x-ndjson) formats.

Parameters (24)

bioprojects (array, path, required)
filters.assembly_level (array, query, optional)

Limit to genomes at the specified [assembly level](https://www.ncbi.nlm.nih.gov/datasets/docs/v2/glossary/#assembly-level)

filters.assembly_source (?, query, optional, default: all)

Limit to either RefSeq (GCF_) or GenBank (GCA_) genome assemblies.

filters.assembly_version (?, query, optional, default: current)

Limit to the most recent (current) version of a genome assembly.

filters.exclude_atypical (boolean, query, optional, default: False)

If true, exclude [atypical genome assemblies](https://www.ncbi.nlm.nih.gov/datasets/docs/v2/data-processing/policies-annotation/genome-processing/genome_notes/#atypical-assemblies), i.e., genomes that have assembly issues or are otherwise atypical.

filters.exclude_multi_isolate (boolean, query, optional, default: False)

If true, exclude genomes that were sequenced as part of large multi-isolate projects.

filters.exclude_paired_reports (boolean, query, optional, default: False)

If true, for GenBank (GCA_)/RefSeq (GCF_) pairs, returns the RefSeq copy. When no RefSeq copy exists, the GenBank assembly is returned.

filters.first_release_date (string, query, optional)

Limit to genomes released on or after the specified date

filters.has_annotation (boolean, query, optional, default: False)

Limit to annotated genome assemblies.

filters.is_ictv_exemplar (boolean, query, optional, default: False)

If true, limit to genomes derived from an ICTV exemplar (only applies to virus genomes).

filters.is_metagenome_derived (?, query, optional)

Exclude or limit to metagenome-assembled genomes (MAGs).

filters.is_type_material (boolean, query, optional, default: False)

If true, limit to genomes derived from type material.

filters.last_release_date (string, query, optional)

Limit to genomes released on or before the specified date

filters.reference_only (boolean, query, optional, default: False)

If true, limit to reference genome assemblies.

filters.search_text (array, query, optional)

Limit to genomes that match the specified submitter name, assembly name, infraspecific name (or modifier), or organism name.

filters.type_material_category (?, query, optional)

Limit to genomes derived from specific type material categories.

include_tabular_header (?, query, optional)

Specify when to include the table header when requesting a tabular report.

page_size (integer, query, optional, default: 20)

The maximum number of genome assembly reports to return. Default is 20 and maximum is 1000. If the number of results exceeds the page size, `page_token` can be used to retrieve the remaining results.

page_token (string, query, optional)

A page token is returned when the results count exceeds `page size`. Use this token along with previous request parameters to retrieve the next page of results. When `page_token` is empty, all results have been retrieved.

returned_content (?, query, optional)

Return complete genome assembly reports, or abbreviated reports with assembly accessions with or without paired assembly information.

sort.direction (?, query, optional)
sort.field (string, query, optional)
table_fields (array, query, optional)
tax_exact_match (boolean, query, optional, default: False)

If true, only return assemblies matching the specified taxon, but not child taxa. For example, if querying by "Canis lupus", return Canis lupus but not Canis lupus familiaris genomes.

Examples (1)

TitleTypeURLAction
Get genome assembly reports by BioProject accession openapi-spec https://api.ncbi.nlm.nih.gov/datasets/v2/genome/bioproject/PRJNA489243/dataset_report?filters.reference_only=True&filters.assembly_source=refseq&filters.has_annotation=True&filters.exclude_paired_reports=False&filters.exclude_atypical=False&filters.assembly_version=current&filters.assembly_level=['chromosome', 'complete_genome']&filters.first_release_date=2024-01-10&filters.last_release_date=2025-01-10&filters.search_text=Genome Reference Consortium&filters.is_metagenome_derived=metagenome_derived_exclude&filters.is_type_material=False&filters.is_ictv_exemplar=False&filters.exclude_multi_isolate=False&filters.type_material_category=TYPE_MATERIAL_CLADE&table_fields=accession&returned_content=ASSM_ACC

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 09:37:55.222673 400 344ms